Browse Source

Fix python 3.9 unit test failures

Running the python 3.9 unit tests locally results in failures
like:

  TypeError: cannot pickle '_thread.RLock' object

Because we are inheriting some of the neutron code, and this
is fixed in that repository, just bump the minimum requirement
to 18.0.0 (Wallaby) now that it is released. This does not
happen in the gate since it is always using master.

Raised minimum of other libraries as necessary.

Change-Id: I820c924189d2973aefcb1452331c904f1ee7051f
Closes-bug: #1923083
changes/60/787460/3
Brian Haley 9 months ago
parent
commit
69b392de9c
  1. 28
      lower-constraints.txt
  2. 10
      requirements.txt
  3. 4
      test-requirements.txt

28
lower-constraints.txt

@ -13,7 +13,7 @@ cliff==2.8.0
cmd2==0.8.0
contextlib2==0.5.5
coverage==4.0
cryptography==3.0
cryptography==3.2
debtcollector==1.19.0
decorator==4.0.0
deprecation==1.0
@ -44,7 +44,7 @@ jsonpatch==1.16
jsonpointer==1.13
jsonschema==2.6.0
keystoneauth1==3.14.0
keystonemiddleware==4.17.0
keystonemiddleware==5.1.0
kombu==5.0.2
linecache2==1.0.0
logutils==0.3.5
@ -59,8 +59,8 @@ msgpack-python==0.4.0
munch==2.1.0
netaddr==0.7.18
netifaces==0.10.4
neutron==16.0.0
neutron-lib==2.2.0
neutron==18.0.0
neutron-lib==2.10.1
octavia-lib==2.2.0
openstacksdk==0.31.2
os-client-config==1.28.0
@ -71,26 +71,26 @@ os-xenapi==0.3.4
osc-lib==1.8.0
oslo.cache==1.26.0
oslo.concurrency==3.26.0
oslo.config==6.0.0
oslo.context==2.19.2
oslo.config==8.0.0
oslo.context==2.22.0
oslo.db==8.5.0
oslo.i18n==3.15.3
oslo.log==3.36.0
oslo.i18n==3.20.0
oslo.log==4.3.0
oslo.messaging==12.4.0
oslo.middleware==3.31.0
oslo.policy==1.30.0
oslo.policy==3.7.0
oslo.privsep==2.3.0
oslo.reports==1.18.0
oslo.rootwrap==5.8.0
oslo.serialization==2.28.1
oslo.service==1.31.0
oslo.upgradecheck==1.2.0
oslo.upgradecheck==1.3.0
oslo.utils==4.5.0
oslo.versionedobjects==1.35.1
oslotest==3.2.0
osprofiler==2.3.0
ovs==2.8.0
ovsdbapp==1.3.0
ovs==2.10.0
ovsdbapp==1.7.0
Paste==2.0.2
PasteDeploy==1.5.0
pbr==4.0.0
@ -120,9 +120,9 @@ pytz==2015.7
PyYAML==5.3.1
reno==3.1.0
repoze.lru==0.7
requests==2.14.2
requests==2.23.0
requestsexceptions==1.2.0
rfc3986==0.3.1
rfc3986==1.2.0
Routes==2.3.1
simplejson==3.5.1
snowballstemmer==1.2.1

10
requirements.txt

@ -4,14 +4,14 @@
keystoneauth1>=3.14.0 # Apache-2.0
netaddr>=0.7.18 # BSD
neutron-lib>=2.2.0 # Apache-2.0
oslo.config>=6.0.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
neutron-lib>=2.10.1 # Apache-2.0
oslo.config>=8.0.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=1.3.0 # Apache-2.0
ovs>=2.10.0 # Apache-2.0
ovsdbapp>=1.7.0 # Apache-2.0
pbr>=4.0.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
tenacity>=6.0.0 # Apache-2.0

4
test-requirements.txt

@ -16,5 +16,5 @@ testscenarios>=0.4 # Apache-2.0/BSD
WebTest>=2.0.27 # MIT
testtools>=2.2.0 # MIT
# NOTE: Precisely we need ussuri neutron
neutron>=16.0.0 # Apache-2.0
# NOTE: Precisely we need wallaby neutron
neutron>=18.0.0 # Apache-2.0

Loading…
Cancel
Save